html {
    position: relative;
    margin: 0;
    padding: 0;
    height: 100%
}

body {
    margin: 0;
    padding: 0;
    text-align: start;
    height: 100%
}

#imPageExtContainer {
    min-height: 100%
}

#imPageIntContainer {
    position: relative
}

#imPage {
    position: relative;
    width: 100%
}

#imHeaderBg {
    position: absolute;
    inset-inline-start: 0;
    top: 0;
    width: 100%
}

#imContent {
    position: relative;
    overflow-x: clip
}

#imFooterBg {
    position: absolute;
    inset-inline-start: 0;
    bottom: 0;
    width: 100%
}

#imStickyBarContainer {
    visibility: hidden;
    position: fixed;
    overflow: hidden
}

#imPageToTop {
    position: fixed;
    bottom: 30px;
    inset-inline-end: 30px;
    z-index: 100500;
    display: none;
    opacity: .75
}

#imPageToTop:hover {
    opacity: 1;
    cursor: pointer
}

@media(min-width: 1150px) {
    #imPageExtContainer {
        background-image:none;
        background-color: transparent;
        z-index: 0;
        position: relative
    }

    #imPage {
        padding-top: 0;
        padding-bottom: 0;
        min-width: 1150px
    }

    #imHeaderBg {
        height: 100px;
        background-image: none;
        background-color: transparent
    }

    #imHeader {
        background-image: none;
        background-color: transparent
    }

    #imHeaderObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 100px;
        width: 1150px
    }

    #imContent {
        align-self: start;
        padding: 0 0 0 0
    }

    #imContentGraphics {
        min-height: 600px;
        background-image: none;
        background-color: transparent
    }

    #imFooterBg {
        z-index: -1;
        height: 400px;
        background-image: none;
        background-color: transparent
    }

    #imFooter {
        background-image: none;
        background-color: transparent
    }

    #imFooterObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 400px;
        width: 1150px
    }

    #imSideBar {
        background-image: none;
        background-color: transparent;
        overflow: visible;
        zoom:1;z-index: 200
    }

    #imSideBarObjects {
        position: relative;
        height: 600px
    }

    #imStickyBarContainer {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        z-index: 10301
    }

    #imStickyBarGraphics {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        background-image: none;
        background-color: rgba(255,255,255,.9);
        position: absolute
    }

    #imStickyBar {
        position: relative;
        top: 0;
        inset-inline-start: 0;
        margin: auto;
        width: 1150px
    }

    #imStickyBarObjects {
        position: relative;
        height: 100px
    }
}

@media(max-width: 1149.9px) and (min-width:720px) {
    #imPageExtContainer {
        background-image:none;
        background-color: transparent;
        z-index: 0;
        position: relative
    }

    #imPage {
        padding-top: 0;
        padding-bottom: 0;
        min-width: 720px
    }

    #imHeaderBg {
        height: 100px;
        background-image: none;
        background-color: transparent
    }

    #imHeader {
        background-image: none;
        background-color: transparent
    }

    #imHeaderObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 100px;
        width: 720px
    }

    #imContent {
        align-self: start;
        padding: 0 0 0 0
    }

    #imContentGraphics {
        min-height: 600px;
        background-image: none;
        background-color: transparent
    }

    #imFooterBg {
        z-index: -1;
        height: 700px;
        background-image: none;
        background-color: transparent
    }

    #imFooter {
        background-image: none;
        background-color: transparent
    }

    #imFooterObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 700px;
        width: 720px
    }

    #imSideBar {
        background-image: none;
        background-color: rgba(211,218,220,1);
        overflow: visible;
        zoom:1;z-index: 200
    }

    #imSideBarObjects {
        position: relative;
        height: 600px
    }

    #imStickyBarContainer {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        z-index: 10301
    }

    #imStickyBarGraphics {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        background-image: none;
        background-color: rgba(255,255,255,.9);
        position: absolute
    }

    #imStickyBar {
        position: relative;
        top: 0;
        inset-inline-start: 0;
        margin: auto;
        width: 720px
    }

    #imStickyBarObjects {
        position: relative;
        height: 100px
    }
}

@media(max-width: 719.9px) and (min-width:480px) {
    #imPageExtContainer {
        background-image:none;
        background-color: transparent;
        z-index: 0;
        position: relative
    }

    #imPage {
        padding-top: 0;
        padding-bottom: 0;
        min-width: 480px
    }

    #imHeaderBg {
        height: 100px;
        background-image: none;
        background-color: transparent
    }

    #imHeader {
        background-image: none;
        background-color: transparent
    }

    #imHeaderObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 100px;
        width: 480px
    }

    #imContent {
        align-self: start;
        padding: 0 0 0 0
    }

    #imContentGraphics {
        min-height: 600px;
        background-image: none;
        background-color: transparent
    }

    #imFooterBg {
        z-index: -1;
        height: 700px;
        background-image: none;
        background-color: transparent
    }

    #imFooter {
        background-image: none;
        background-color: transparent
    }

    #imFooterObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 700px;
        width: 480px
    }

    #imSideBar {
        background-image: none;
        background-color: rgba(211,218,220,1);
        overflow: visible;
        zoom:1;z-index: 200
    }

    #imSideBarObjects {
        position: relative;
        height: 600px
    }

    #imStickyBarContainer {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        z-index: 10301
    }

    #imStickyBarGraphics {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        background-image: none;
        background-color: rgba(255,255,255,.9);
        position: absolute
    }

    #imStickyBar {
        position: relative;
        top: 0;
        inset-inline-start: 0;
        margin: auto;
        width: 480px
    }

    #imStickyBarObjects {
        position: relative;
        height: 100px
    }
}

@media(max-width: 479.9px) {
    #imPageExtContainer {
        background-image:none;
        background-color: transparent;
        z-index: 0;
        position: relative
    }

    #imPage {
        padding-top: 0;
        padding-bottom: 0
    }

    #imHeaderBg {
        height: 100px;
        background-image: none;
        background-color: transparent
    }

    #imHeader {
        background-image: none;
        background-color: transparent
    }

    #imHeaderObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 100px;
        width: 320px
    }

    #imContent {
        align-self: start;
        padding: 0 0 0 0
    }

    #imContentGraphics {
        min-height: 600px;
        background-image: none;
        background-color: transparent
    }

    #imFooterBg {
        z-index: -1;
        height: 700px;
        background-image: none;
        background-color: transparent
    }

    #imFooter {
        background-image: none;
        background-color: transparent
    }

    #imFooterObjects {
        margin-inline-start:auto;margin-inline-end:auto;position: relative;
        height: 700px;
        width: 320px
    }

    #imSideBar {
        background-image: none;
        background-color: rgba(211,218,220,1);
        overflow: visible;
        zoom:1;z-index: 200
    }

    #imSideBarObjects {
        position: relative;
        height: 600px
    }

    #imStickyBarContainer {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        z-index: 10301
    }

    #imStickyBarGraphics {
        top: 0;
        inset-inline-start: 0;
        inset-inline-end: 0;
        margin: auto;
        width: 100%;
        height: 100px;
        box-sizing: border-box;
        background-image: none;
        background-color: rgba(255,255,255,.9);
        position: absolute
    }

    #imStickyBar {
        position: relative;
        top: 0;
        inset-inline-start: 0;
        margin: auto;
        width: 320px
    }

    #imStickyBarObjects {
        position: relative;
        height: 100px
    }
}
